Bug 84383 - VIEWING: Libreoffice switch the focus to Virtual desktop 2 (Workspace) when I inserted a new slide in Virtual desktop1.
Summary: VIEWING: Libreoffice switch the focus to Virtual desktop 2 (Workspace) when ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: BSA target:4.3.7
Keywords:
Depends on:
Blocks: Desktop-Environment
  Show dependency treegraph
 
Reported: 2014-09-27 02:21 UTC by minhsien0330
Modified: 2017-09-05 10:27 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
I have a image file to explain this bug. (1020.36 KB, image/jpeg)
2014-09-27 02:21 UTC, minhsien0330
Details

Note You need to log in before you can comment on or make changes to this bug.
Description minhsien0330 2014-09-27 02:21:01 UTC
Created attachment 106940 [details]
I have a image file to explain this bug.

Problem description: 
Virtual desktops is popular on Linux desktop.
Gnome, KDE, xfce, icewm and some window mangers have this function.

I use icewm.
Supposed I have 2 desktops (virtual desktops , or "Workspaces" in icewm).
If I placed one Impress window on "Workspace 1", placed a duplicated window of it to Workspace 2.
 When I insert a new slide on the Impress window in Workspace 1, Libreoffice will switch the focus to the duplicated impress window in Workspace 2.


Steps to reproduce:
1. Create a new Impress window.
2. Click Window > New Window on menu bar.
3. Place the new window "Untitled 1: 2" to Workspace 2 (under icewm)
4. Go back to Workspace 1, right click in Panel "Slides" to insert a new slide. You will see Libreoffice switch the focus to Workspace 2.

Current behavior:
Libreoffice switch the focus to Workspace 2  when I insert a new slide in Workspace 1.

Expected behavior:
Libreoffice should stay in Workspace 1  when I inserted a new slide in Workspace 1.
              
I have a image file to explain this bug. Please see the attachment "Untitled.jpg".
Operating System: Debian
Version: 4.1.0.4 release
Comment 1 Yousuf Philips (jay) (retired) 2014-09-29 07:24:21 UTC
Hello minhsien,

Thank you for submitting the bug. I can confirm the bug is available in the daily 4.3.3 build but it has been fixed in the current daily 4.4 build. So unfortunately, it is likely to only be fixed when the 4.4 release comes out.

Version: 4.3.3.0.0+
Build ID: 14907346d792f2f93a00083bbab5086cf56ddb24
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-09-26_03:39:23

Version: 4.4.0.0.alpha0+
Build ID: df73f4115cfe4d07e4159adf087571687eb173ec
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-09-25_23:36:54
Comment 2 minhsien0330 2014-09-29 08:09:14 UTC
Philips:
Thank you very much ~  :)
Comment 3 Robinson Tryon (qubit) 2014-12-29 21:50:15 UTC
Replacing fixedInMaster with backportRequest.
4.2 is EOL, and this is fixed in 4.4 and 4.5 (master), so 
Whiteboard -> backportRequest:4.3
Comment 4 Michael Stahl (CIB) 2015-01-19 10:48:17 UTC
presumably fixed by:

commit d93c89ddf564d0445f28e0ba552ba94975d40f2a
Author:     Michael Stahl <mstahl@redhat.com>
AuthorDate: Mon Nov 17 15:46:23 2014 +0100

    officecfg: set VCL.WM.ShouldSwitchWorkspace to false
Comment 5 Michael Stahl (CIB) 2015-01-20 22:02:37 UTC
was backported yesterday to libreoffice-4-3 as commit c019c3d845d5281d206c2004985fb3b10a4707e9

can somebody try if it is fixed in daily builds of 4.3?

http://dev-builds.libreoffice.org/daily/libreoffice-4-3/

the issue didn't reproduce in gnome-shell for me.
Comment 6 minhsien0330 2015-01-24 00:49:45 UTC
http://dev-builds.libreoffice.org/daily/libreoffice-4-3/Linux-rpm_deb-x86@45-TDF/
↑ There is no Linux version there now, so I can not test it.
Anywhere to find it ? Thanks
Comment 7 Robinson Tryon (qubit) 2015-01-24 06:04:22 UTC
(In reply to minhsien0330 from comment #6)
> http://dev-builds.libreoffice.org/daily/libreoffice-4-3/Linux-rpm_deb-x86@45-
> TDF/
> ↑ There is no Linux version there now, so I can not test it.
> Anywhere to find it ? Thanks

Hiya,

I pinged the tinderbox owner about the lack of builds; I'll do my best to get those up and building asap.